Fooocus Image Prompt
Entegre et
fooocus/image-prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
}
Fooocus Image Prompt modelini (fooocus/image-prompt) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/fooocus/image-prompt.md
POST https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/fooocus/image-prompt, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: ≈$0,085 85 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/fooocus/image-prompt?wait=20
fiyat → $0,085
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Fooocus Image Prompt hakkında
Metin `prompt` ile birlikte üretimi yönlendirmek için `image_prompt_1` (gerekli) ve en fazla üç ek görüntü istemi kullanır. Ayrıca `inpaint_mode` ile iç boyama, dış boyama yönleri ve varyasyon veya büyütme için `uov_method` sunar. Stil ön ayarları, LoRA'lar, `performance` modları ve istek başına 1 ila 4 çıktı desteklenir.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
promptisteğe bağlı
negative_promptisteğe bağlı
stylesisteğe bağlı
performanceisteğe bağlı
guidance_scaleisteğe bağlı
sharpnessisteğe bağlı
aspect_ratioisteğe bağlı
num_imagesisteğe bağlı
num_outputs
lorasisteğe bağlı
loras[].pathgerekli
loras[].scaleisteğe bağlı
refiner_modelisteğe bağlı
refiner_switchisteğe bağlı
output_formatisteğe bağlı
seedisteğe bağlı
image_prompt_1gerekli
image_prompt_1.typeisteğe bağlı
image_prompt_1.image_urlisteğe bağlı
image_prompt_1.stop_atisteğe bağlı
image_prompt_1.weightisteğe bağlı
image_prompt_2isteğe bağlı
image_prompt_2.typeisteğe bağlı
image_prompt_2.image_urlisteğe bağlı
image_prompt_2.stop_atisteğe bağlı
image_prompt_2.weightisteğe bağlı
image_prompt_3isteğe bağlı
image_prompt_3.typeisteğe bağlı
image_prompt_3.image_urlisteğe bağlı
image_prompt_3.stop_atisteğe bağlı
image_prompt_3.weightisteğe bağlı
image_prompt_4isteğe bağlı
image_prompt_4.typeisteğe bağlı
image_prompt_4.image_urlisteğe bağlı
image_prompt_4.stop_atisteğe bağlı
image_prompt_4.weightisteğe bağlı
inpaint_image_urlisteğe bağlı
mask_image_urlisteğe bağlı
inpaint_modeisteğe bağlı
inpaint_additional_promptisteğe bağlı
outpaint_selectionsisteğe bağlı
mixing_image_prompt_and_inpaintisteğe bağlı
uov_image_urlisteğe bağlı
uov_methodisteğe bağlı
mixing_image_prompt_and_vary_upscaleisteğe bağlı
enable_safety_checkeristeğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "fooocus/image-prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 85,
"usd": "0.085",
"charged": 85,
"refunded": 0
},
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- images
- array of object {url, content_type, file_name, file_size, width, height}Oluşturulan görselin dosya bilgileri.
- timings
- objectÜretim için geçen süre.
- has_nsfw_concepts
- array of booleanÜretilen görsellerde NSFW kavramlarının bulunup bulunmadığını belirtir.
Diğer Fooocus varyantları
Daha fazla model: Metinden Görsele
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/fooocus/image-prompt.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt







